var detectIsSafari;

detectIsSafari = function() {
  var ua;
  if ((typeof window) === 'undefined') {
    return false;
  }
  ua = window.navigator.userAgent.toLowerCase();
  if (ua.indexOf('safari') === -1) {
    return false;
  }
  if (ua.indexOf('chrome') !== -1) {
    return false;
  }
  return true;
};

module.exports = detectIsSafari();
